#Global marco
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(XML::Parser\\)$

#Basic Information
Name:           perl-XML-XPath
Version:        1.42
Release:        6
Summary:        Parse and evaluate XPath statementsr
License:        Artistic 2.0 and (GPL+ or Artistic)
URL:            https://metacpan.org/release/XML-XPath
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MANWAR/XML-XPath-%{version}.tar.gz
BuildArch:      noarch

#Dependency
BuildRequires:  coreutils make
BuildRequires:  perl-generators perl-interpreter
BuildRequires:  perl(lib) perl(open) perl(overload)
BuildRequires:  perl(strict) perl(utf8) perl(vars) perl(warnings)
BuildRequires:  perl(Carp) perl(CPAN::Meta) perl(Data::Dumper)
BuildRequires:  perl(Exporter) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(IO::File) perl(Path::Tiny) >= 0.076
BuildRequires:  perl(POSIX) perl(Scalar::Util) perl(Test)
BuildRequires:  perl(Test::More) perl(XML::Parser) >= 2.23
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(POSIX) perl(warnings) perl(XML::Parser) >= 2.23

%description
This module aims to comply exactly to the XPath specification at
http://www.w3.org/TR/xpath and yet allow extensions to be added in the
form of functions. Modules such as XSLT and XPointer may need to do
this as they support functionality beyond XPath.

%package_help

#Build sections
%prep
%setup -q -n XML-XPath-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

install -d $RPM_BUILD_ROOT/%{_mandir}/man1/
echo .so man3/XML::XPath.3pm >> $RPM_BUILD_ROOT/%{_mandir}/man1/xpath.1 << EOF

%check
make test

#Files list
%files
%license LICENSE
%doc Changes README TODO
%{_bindir}/xpath
%{perl_vendorlib}/XML

%files help
%{_mandir}/man1/xpath*
%{_mandir}/man3/*.3*

%changelog
* Wed Jan 15 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.42.0-6
- Remove buildrequires

* Wed Jan 08 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.42.0-5
- Package init

